/*****************************************************************************
 *****************************************************************************
 Copyright (c) 2000-2001, AEP Ltd. 

 All rights reserved.

 Redistribution and use in source and binary forms, with or without 
 modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
 this list of conditions and the following disclaimer.

 2. Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation 
 and/or other materials provided with the distribution.

 3. Neither the name of AEP Ltd. nor the names of its contributors 
 may be used to endorse or promote products derived from this software 
 without specific prior written permission.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS IS''
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED. IN NO EVENT SHALL CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 

 *****************************************************************************
****************************************************************************/

/**********************************************************************
*                                                                     *
* AEP Ltd.                                                            *
*                                                                     *
* This software is supplied under the terms of the license included   *
* above.  All use of this software must be in accordance with the     *
* terms of that license.                                              *
*                                                                     *
**********************************************************************/

/*This file contains the version number of the daemon software*/
#ifndef DAEMON_VERSION
#define DAEMON_VERSION "UNLABELLED"
#endif


/* Compiler Version */

/* gcc */

#if defined(__GNUC__)
#define COMPILER_TYPE "gcc"
#define COMPILER_REV __VERSION__ 

/* SUN cc */

#elif defined(__SUNPRO_C)
#define COMPILER_TYPE "Sun Pro C"

#if __SUNPRO_C == 0x510
#define COMPILER_REV "5.1"
#elif __SUNPRO_C == 0x500
#define COMPILER_REV "5.0"
#elif __SUNPRO_C == 0x400
#define COMPILER_REV "4.0"
#else
#define COMPILER_REV " "
#endif

/* HP Ansi C */

#elif defined(__hpux) && defined(__STDC__)
#define COMPILER_TYPE "HP Ansi C"
#define COMPILER_REV " "

/* Unknown */
 
#else
#define COMPILER_TYPE "UNKNOWN"
#define COMPILER_REV " "

#endif

#define COMPILER_VERSION (" [ " __DATE__ " " COMPILER_TYPE " " COMPILER_REV " ]")
